Foxit PDF SDK

Public Member Functions | List of all members
foxit::pdf::SignatureFillSignObject Class Reference
Inheritance diagram for foxit::pdf::SignatureFillSignObject:

## Public Member Functions
| SignatureFillSignObject ()
| Constructor.
| SignatureFillSignObject (const FillSignObject &fillsign_object)
| Constructor, with parent class object. More...
| ~SignatureFillSignObject ()
| Destructor.
bool | IsInitialsType ()
| Check if current annotation is an initials signature fill-sign object. More...
void | SetBitmap (const common::Bitmap &bitmap)
| Set a bitmap. More...
Public Member Functions inherited from foxit::pdf::FillSignObject
| FillSignObject ()
| Constructor.
| FillSignObject (const FillSignObject &other)
| Constructor, with another fill-sign object. More...
virtual | ~FillSignObject ()
| Destructor.
bool | GenerateContent ()
| Generate content for current fill-sign object. More...
RectF | GetRect () const
| Get rectangle, in PDF coordinate system. More...
FillSign::FillSignObjectType | GetType ()
| Get fill-sign type. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
void | Move (const PointF &point, float width, float height, common::Rotation rotation=common::e_Rotation0)
| Move current fill-sign object. More...
bool | operator!= (const FillSignObject &other) const
| Not equal operator. More...
FillSignObject & | operator= (const FillSignObject &other)
| Assign operator. More...
bool | operator== (const FillSignObject &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

Class SignatureFillSignObject is derived from class FillSignObject, and is used to represent a signature or initiials signature fill-sign object.

See also
  FillSignObject

## Constructor & Destructor Documentation

## ◆ SignatureFillSignObject()

foxit::pdf::SignatureFillSignObject::SignatureFillSignObject | ( | const FillSignObject & | fillsign_object | ) |
| explicit

Constructor, with parent class object.

Parameters

  [in] | fillsign_object | Parent class object.

## Member Function Documentation

## ◆ IsInitialsType()

bool foxit::pdf::SignatureFillSignObject::IsInitialsType | ( |  | ) |

Check if current annotation is an initials signature fill-sign object.

Returns
  true means current object is an initials signature fill-sign object, while false means current object is a signature fill-sign object.

## ◆ SetBitmap()

void foxit::pdf::SignatureFillSignObject::SetBitmap | ( | const common::Bitmap & | bitmap | ) |

Set a bitmap.

Parameters

  [in] | bitmap | A bitmap to be set to current fill-sign object. This should be a valid bitmap object.

Returns
  None.